org.apache.olingo.odata2.api.edm

## Interface Edm

- All Known Subinterfaces:
    ClientEdm
  All Known Implementing Classes:
    EdmImpl

      public interface Edm

  Do not implement this interface or derive from class.
    Entity Data Model (EDM)

    Interface representing a Entity Data Model as described in the Conceptual Schema Definition.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `DELIMITER`
    `static String` | `LINK_REL_EDIT`
    `static String` | `LINK_REL_EDIT_MEDIA`
    `static String` | `LINK_REL_NEXT`
    `static String` | `LINK_REL_SELF`
    `static String` | `NAMESPACE_APP_2007`
    `static String` | `NAMESPACE_ATOM_2005`
    `static String` | `NAMESPACE_D_2007_08`
    `static String` | `NAMESPACE_EDM_2006_04`
    `static String` | `NAMESPACE_EDM_2007_05`
    `static String` | `NAMESPACE_EDM_2008_01`
    `static String` | `NAMESPACE_EDM_2008_09`
    `static String` | `NAMESPACE_EDMX_2007_06`
    `static String` | `NAMESPACE_M_2007_08`
    `static String` | `NAMESPACE_REL_2007_08`
    `static String` | `NAMESPACE_REL_ASSOC_2007_08`
    `static String` | `NAMESPACE_SCHEME_2007_08`
    `static String` | `NAMESPACE_XML_1998`
    `static String` | `PREFIX_APP`
    `static String` | `PREFIX_ATOM`
    `static String` | `PREFIX_D`
    `static String` | `PREFIX_EDM`
    `static String` | `PREFIX_EDMX`
    `static String` | `PREFIX_M`
    `static String` | `PREFIX_XML`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `EdmAssociation` | `getAssociation(String namespace, String name)` Get association by full qualified name See `EdmAssociation` for more information.
    `EdmComplexType` | `getComplexType(String namespace, String name)` Get complex type by full qualified name See `EdmComplexType` for more information.
    `EdmEntityContainer` | `getDefaultEntityContainer()` Get default entity container See `EdmEntityContainer` for more information.
    `EdmEntityContainer` | `getEntityContainer(String name)` Get entity container by name See `EdmEntityContainer` for more information.
    `List<EdmEntitySet>` | `getEntitySets()` Get all contained EntitySets
    `EdmEntityType` | `getEntityType(String namespace, String name)` Get entity type by full qualified name See `EdmEntityType` for more information.
    `List<EdmFunctionImport>` | `getFunctionImports()` Get all contained FunctionImports
    `EdmServiceMetadata` | `getServiceMetadata()` Get service metadata See `EdmServiceMetadata` for more information.

- - ### Field Detail

    - #### NAMESPACE_EDM_2006_04

          static final String NAMESPACE_EDM_2006_04

      See Also:
        Constant Field Values

    - #### NAMESPACE_EDM_2007_05

          static final String NAMESPACE_EDM_2007_05

      See Also:
        Constant Field Values

    - #### NAMESPACE_EDM_2008_01

          static final String NAMESPACE_EDM_2008_01

      See Also:
        Constant Field Values

    - #### NAMESPACE_EDM_2008_09

          static final String NAMESPACE_EDM_2008_09

      See Also:
        Constant Field Values

    - #### NAMESPACE_APP_2007

          static final String NAMESPACE_APP_2007

      See Also:
        Constant Field Values

    - #### NAMESPACE_ATOM_2005

          static final String NAMESPACE_ATOM_2005

      See Also:
        Constant Field Values

    - #### NAMESPACE_D_2007_08

          static final String NAMESPACE_D_2007_08

      See Also:
        Constant Field Values

    - #### NAMESPACE_M_2007_08

          static final String NAMESPACE_M_2007_08

      See Also:
        Constant Field Values

    - #### NAMESPACE_EDMX_2007_06

          static final String NAMESPACE_EDMX_2007_06

      See Also:
        Constant Field Values

    - #### NAMESPACE_REL_2007_08

          static final String NAMESPACE_REL_2007_08

      See Also:
        Constant Field Values

    - #### NAMESPACE_REL_ASSOC_2007_08

          static final String NAMESPACE_REL_ASSOC_2007_08

      See Also:
        Constant Field Values

    - #### NAMESPACE_SCHEME_2007_08

          static final String NAMESPACE_SCHEME_2007_08

      See Also:
        Constant Field Values

    - #### NAMESPACE_XML_1998

          static final String NAMESPACE_XML_1998

      See Also:
        Constant Field Values

    - #### PREFIX_EDM

          static final String PREFIX_EDM

      See Also:
        Constant Field Values

    - #### PREFIX_APP

          static final String PREFIX_APP

      See Also:
        Constant Field Values

    - #### PREFIX_ATOM

          static final String PREFIX_ATOM

      See Also:
        Constant Field Values

    - #### PREFIX_D

          static final String PREFIX_D

      See Also:
        Constant Field Values

    - #### PREFIX_M

          static final String PREFIX_M

      See Also:
        Constant Field Values

    - #### PREFIX_XML

          static final String PREFIX_XML

      See Also:
        Constant Field Values

    - #### PREFIX_EDMX

          static final String PREFIX_EDMX

      See Also:
        Constant Field Values

    - #### LINK_REL_SELF

          static final String LINK_REL_SELF

      See Also:
        Constant Field Values

    - #### LINK_REL_EDIT_MEDIA

          static final String LINK_REL_EDIT_MEDIA

      See Also:
        Constant Field Values

    - #### LINK_REL_EDIT

          static final String LINK_REL_EDIT

      See Also:
        Constant Field Values

    - #### LINK_REL_NEXT

          static final String LINK_REL_NEXT

      See Also:
        Constant Field Values

    - #### DELIMITER

          static final String DELIMITER

      See Also:
        Constant Field Values

  - ### Method Detail

    - #### getEntityContainer

          EdmEntityContainer getEntityContainer(String name)
                                         throws EdmException

      Get entity container by name

      See `EdmEntityContainer` for more information.

      Parameters:
        `name` -
      Returns:
        `EdmEntityContainer`
      Throws:
        `EdmException`

    - #### getEntityType

          EdmEntityType getEntityType(String namespace,
                                      String name)
                               throws EdmException

      Get entity type by full qualified name

      See `EdmEntityType` for more information.

      Parameters:
        `namespace` -
        `name` -
      Returns:
        `EdmEntityType`
      Throws:
        `EdmException`

    - #### getComplexType

          EdmComplexType getComplexType(String namespace,
                                        String name)
                                 throws EdmException

      Get complex type by full qualified name

      See `EdmComplexType` for more information.

      Parameters:
        `namespace` -
        `name` -
      Returns:
        `EdmComplexType`
      Throws:
        `EdmException`

    - #### getAssociation

          EdmAssociation getAssociation(String namespace,
                                        String name)
                                 throws EdmException

      Get association by full qualified name

      See `EdmAssociation` for more information.

      Parameters:
        `namespace` -
        `name` -
      Returns:
        `EdmAssociation`
      Throws:
        `EdmException`

    - #### getServiceMetadata

          EdmServiceMetadata getServiceMetadata()

      Get service metadata

      See `EdmServiceMetadata` for more information.

      Returns:
        `EdmServiceMetadata`

    - #### getDefaultEntityContainer

          EdmEntityContainer getDefaultEntityContainer()
                                                throws EdmException

      Get default entity container

      See `EdmEntityContainer` for more information.

      Returns:
        `EdmEntityContainer`
      Throws:
        `EdmException`

    - #### getEntitySets

          List<EdmEntitySet> getEntitySets()
                                    throws EdmException

      Get all contained EntitySets
      Returns:
        a list of `EdmEntitySet`
      Throws:
        `EdmException`

    - #### getFunctionImports

          List<EdmFunctionImport> getFunctionImports()
                                              throws EdmException

      Get all contained FunctionImports
      Returns:
        a list of `EdmFunctionImport`
      Throws:
        `EdmException`

Copyright © 2013-2022 The Apache Software Foundation. All Rights Reserved.